# Image Tool Box
----
This is a python module to help us to do the tranformations between raw file, csv file, and numpy array.

## Requirements
* python==3.10
* numpy==1.22
* pandas==1.4

you can donload those module for the latest version with the command below

```shell
handsomeguy@supercomputer:~$ pip install numpy
handsomeguy@supercomputer:~$ pip install pandas
```
## Usage example
your structure should look like this below

```
.
+-- yourpythonfile.py
+-- ImgToolBox.py
|
+--src/
   +--catimage.raw
   +--dogimage.csv
|
+--output/
|
```
```python
# yourpythonfile.py

from ImgToolBox import raw2arr, arr2csv, csv2arr

# you should put the path of raw file in the raw2arr fumction and you will get the numpy array from raw file
array = raw2arr('src/catimage.raw')

# now you can get the numpy array from the path of csv file
new_array = csv2arr('src/dogimage.csv')

# aftere doing this, you could get the csv file in the path you want
arr2csv(new_array, 'output/dogimage.csv')

```

## Release History
* 1.0.0 init

## Author
* Vincent Liao
    * LiaoU3@github
* Ian Lin
    * ianlin830410@github

## License
```
MIT License

Copyright (C) 2022 Vincent Liao

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
```